### Method

# Meta Display get_tab_list

#### Declaration [src]

    GList*
    meta_display_get_tab_list (
      MetaDisplay* display,
      MetaTabList type,
      MetaWorkspace* workspace
    )

#### Description [src]

Determine the list of windows that should be displayed for Alt-TAB functionality. The windows are returned in most recently used order. If `workspace` is not `NULL`, the list only contains windows that are on `workspace` or have the demands-attention hint set; otherwise it contains all windows.

#### Parameters

`type`

  Type: `MetaTabList`

  Type of tab list.

`workspace`

  Type: `MetaWorkspace`

  Origin workspace.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: A list of `None`

List of windows.

The caller of the method takes ownership of the returned data container, but not the data inside it.